from pydantic import BaseModel, conint, conlist, constr
from typing import Optional, Union
from datetime import datetime


class ContratBase(BaseModel):
    codeEtablissement: Optional[str]
    codeFrequencePaiementContrat: str
    codeModeGestionContrat: Optional[str]
    codeTypeContrat: str
    dateDebutContrat: Union[str, datetime]
    dateFinPrevueContrat: Optional[Union[str, datetime]]
    dateFinReelleContrat: Union[str, datetime]
    libLongTypeContrat: str
    matricule: str
    nbHeuresContrat: float
    numAvenantContrat: Optional[str]
    rangContrat: int
    tauxHoraireContrat: float
    temEnseignantChercheur: Optional[str]
    temValiditeContrat: Optional[str]


class ContratDA(ContratBase):
    """ Resprésentation pour Données Administratives """

    chevron: Optional[str]
    commentaire: Optional[str]
    gradeTG: str
    horsEchelleLettre: Optional[str]
    indiceRemu: str
    libCourtEtablissement: str
    libLongEtablissement: str
    libLongFrequencePaiementContrat: str
    modeRemuneration: str
    natureContrat: Optional[str]
    pourcentage: float
    remunerationContrat: str


class ContratRA(ContratBase):
    """ Resprésentation pour Recherche Agent """
    pass

