from pydantic import BaseModel
from typing import Optional, List
from datetime import datetime

class InformationId(BaseModel):
    dateNaissance: datetime
    matricule: str
    nomPatronymique: str
    nomUsuel: str
    prenom: str
    numeroInseeDefinitif: Optional[str]
    userID: Optional[str]

class DonneeUtilisateur(BaseModel):
    donneesPersonnelles: InformationId
    listeMatriculesErrones: List[Optional[str]]

class Utilisateurs(BaseModel):
    listeDonneesPersonnelles: List[InformationId]
    listeMatriculesErrones: List[Optional[str]]
